biterp
APIReferenceSubscription plans

Get subscription plan by ID

GET
/subscription-plans/{id}
AuthorizationBearer <token>

In: header

Query Parameters

with_deleted?boolean

When true, return the record even if soft-deleted

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/subscription-plans/{id}"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
  "record_number": 0,
  "reference_code": "string",
  "name": "string",
  "description": "string",
  "billing_interval": "day",
  "billing_interval_count": 0,
  "amount": "string",
  "currency": "string",
  "trial_period_days": 0,
  "is_blocked": true,
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 400,
  "message": "with_deleted must be a valid boolean (true or false)",
  "error": "Bad Request"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}